{*** Pascal %include file for the new camera routines ***}

{ Grab frame command options. }
type
               byte=0..255;
               snaptype=array [0..128,0..513] of byte;
               rawtype=array [0..65535] of byte;

const          noalt=32;
               narrow=16;
               eightbit=8;
               twoarray=4;
               alt=0;
               wide=0;
               sevenbit=0;
               onearray=0;

procedure initialise;
   extern;

procedure init_display;
   extern;

procedure grab_frame(command,exposure,address:integer;
                     var rows,cols,bytes: integer);
   extern;

procedure plot_frame(pic: integer;
                     snap: snaptype);
   extern;

procedure raw_to_snap(rawpic: rawtype;
                      var snap: snaptype);
   extern;

procedure filter_snap(snap: snaptype;
                      var filtered_snap: snaptype);
   extern;

procedure camera(init_exp,final_exp: integer);
   extern;

procedure clear_frame(var base: byte);
   extern;

procedure dump_bitmap(var image: rawtype;
                      where_to: string[255]);
   extern;
